Subject: Re: bug#65517: 30.0.50; Eglot: word list input

From: Dmitry Gutov <[email-masked]>
Date: Sun, 27 Aug 2023 04:15:44 +0300

On 26/08/2023 07:55, Gerd Möllmann wrote:
>    PATTERN can be a word, a list of words (separated by spaces),
>    or a regexp (using some regexp special characters).  If it is a word,
>    search for matches for that word as a substring.  If it is a list of words,
>    search for matches for any two (or more) of those words.
> 
> Now I'm simply wondering if what C-M-. does in this case fits that description.
> Nothing more. I'm not saying anything should be implemented or whatever
> else.  If you find the current state okay, that's fine with me.

Perhaps this documentation is in need of an update. Not sure how to 
better phrase it, though. Just say that elisp and etags do this and the 
rest do the best they can? :)

LSP is great, but a lot of edge cases differ between the servers. That 
is improving over time, but I don't know whether there is point in 
reporting/waiting for this one to even out.